curl --request GET \
--url https://test.deribit.com/api/v2/private/get_access_log \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "private/get_access_log",
"params": {
"offset": 0,
"count": 3
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_access_log"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "private/get_access_log",
"params": {
"offset": 0,
"count": 3
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'private/get_access_log',
params: {offset: 0, count: 3}
})
};
fetch('https://test.deribit.com/api/v2/private/get_access_log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"records_total": 34,
"data": [
{
"timestamp": 1575876682576,
"result": "success",
"ip": "127.0.0.1",
"id": 45,
"country": "Local Country",
"city": "Local Town"
},
{
"timestamp": 1575876459309,
"result": "success",
"ip": "127.0.0.1",
"id": 44,
"country": "Local Country",
"city": "Local Town"
},
{
"timestamp": 1575546252774,
"result": "disabled_tfa",
"ip": "127.0.0.1",
"id": 43,
"country": "Local Country",
"city": "Local Town"
}
]
},
"usIn": 1575903572350348,
"usOut": 1575903572351765,
"usDiff": 1417,
"testnet": false
}private/get_access_log
Retrieves a log of API access attempts and authentication events for the authenticated account. The log includes information such as IP addresses, timestamps, API methods called, and authentication status.
Use this method to monitor account security, review API usage patterns, and identify unauthorized access attempts. Results can be paginated using the offset and count parameters.
Scope: account:read
Query Parameters
The offset for pagination, default - 0
10
Number of requested items, default - 10, maximum - 1000
1 <= x <= 1000Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Unique identifier
5967413
IP address of source that generated action
The timestamp (milliseconds since the Unix epoch)
1536569522277
Country where the IP address is registered (estimated)
City where the IP address is registered (estimated)
Action description. Possible values:
changed_email- email was changedchanged_password- password was changeddisabled_tfa- TFA was disabledenabled_tfa- TFA was enabledsuccess- successful loginfailure- login failureenabled_subaccount_login- login was enabled for subaccount (indata- subaccount uid)disabled_subaccount_login- login was disabled for subaccount (indata- subaccount uid)new_api_key- API key was created (indatakey client id)removed_api_key- API key was removed (indatakey client id)changed_scope- scope of API key was changed (indatakey client id)changed_whitelist- whitelist of API key was edited (indatakey client id)disabled_api_key- API key was disabled (indatakey client id)enabled_api_key- API key was enabled (indatakey client id)reset_api_key- API key was reset (indatakey client id)
Optional, additional information about action, type depends on log value
The id that was sent in the request
Was this page helpful?